package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.kmt.dto.KnowHowDetailsDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author yrf
 * @date 2019/1/21 14:09
 */
public class CorrectRequest extends BaseRequest {

    private static final long serialVersionUID = -4309321135596007039L;

    @ApiModelProperty(name = "homeworkPictureId", value = "作业id", required = true)
    private String homeworkPictureId;

    @ApiModelProperty(name = "correctedPictureUrl", value = "批改后的作业图片的路径")
    private String correctedPictureUrl;

    @ApiModelProperty(name = "correctUseTime", value = "作业开始批改使用时间", required = true)
    private int correctUseTime;

    @ApiModelProperty(name = "bookId", value = "练习册id")
    private String bookId;

    @ApiModelProperty(name = "wrongQuestionList", value = "答错的题目列表", required = true)
    private List<WrongQuestionRequest> wrongQuestionList;

    @ApiModelProperty(name = "rightQuestionIdList", value = "对的题目id", required = true)
    private List<String> rightQuestionIdList;

    @ApiModelProperty(name = "wrongHwoDetailIds", value = "错题知识点id", required = false)
    private List<KnowHowDetailsDTO> wrongHowDetails;

    @ApiModelProperty(name = "knowledgeVersion", value = "知识点版本", required = true)
    private int knowledgeVersion;

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getCorrectedPictureUrl() {
        return correctedPictureUrl;
    }

    public void setCorrectedPictureUrl(String correctedPictureUrl) {
        this.correctedPictureUrl = correctedPictureUrl;
    }

    public int getCorrectUseTime() {
        return correctUseTime;
    }

    public void setCorrectUseTime(int correctUseTime) {
        this.correctUseTime = correctUseTime;
    }

    public List<WrongQuestionRequest> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<WrongQuestionRequest> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<String> getRightQuestionIdList() {
        return rightQuestionIdList;
    }

    public void setRightQuestionIdList(List<String> rightQuestionIdList) {
        this.rightQuestionIdList = rightQuestionIdList;
    }

    public List<KnowHowDetailsDTO> getWrongHowDetails() {
        return wrongHowDetails;
    }

    public void setWrongHowDetails(List<KnowHowDetailsDTO> wrongHowDetails) {
        this.wrongHowDetails = wrongHowDetails;
    }

    public int getKnowledgeVersion() {
        return knowledgeVersion;
    }

    public void setKnowledgeVersion(int knowledgeVersion) {
        this.knowledgeVersion = knowledgeVersion;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }
}